<?php
require_once "connect.php";
require_once 'inc/messages.php';
require_once 'inc/usuario.php';

//pega o id do usuario logado
if(isset($_GET['id'])){
  $id_crip = $_GET['id'];
  $id = base64_decode($id_crip);
}

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario = $usuario_list['id'];
$id_unidade = $usuario_list['unidade'];


/*
por enquanto, o id está vindo vazio porque não tem ninguém logado
- o 'checkLogin('login.php')' não está em uso - por isso fixei o id = 1
para id_usuario para não dar erro, depois precisa mudar
*/

//POST = adicionar
if(isset($_POST['btn-add'])){

//salvando em variáveis as duas fichas do post: servico e itens
  $ordem_servico  = $_POST['ordem_servico'];
  $os_itens       = $_POST['os_itens'];

  //insert na tabela OS
//desmembrando a ordem de servico
  $id_cliente             = $ordem_servico['id_cliente'];
  $id_condicao_pagamento  = $ordem_servico['id_condicao_pagamento'];
  $id_forma_pagamento     = $ordem_servico['id_forma_pagamento'];
  $ds_observacao          = $ordem_servico['ds_observacao'];
  $id_status_servico      = $ordem_servico['id_status_servico'];
  //salva na tabela de ordem de servico


  $sql = "insert into erpc_ordem_servico(id_cliente
                                          ,id_usuario
                                          ,id_condicao_pagamento
                                          ,id_forma_pagamento
                                          ,ds_observacao
                                          ,id_status_servico
                                          ,id_unidade
                                          ,st_ativo)
                                          values
                                          ('$id_cliente'
                                          ,'$id_usuario'
                                          ,'$id_condicao_pagamento'
                                          ,'$id_forma_pagamento'
                                          ,'$ds_observacao'
                                          ,'$id_status_servico'
                                          ,'$id_unidade'
                                          ,1)";

  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

    //seleciona da tabela de ordem de serviço o id do último registro
    $sql = "select id from erpc_ordem_servico where id =(select  max(id) from erpc_ordem_servico)";

    //salva o id da ordem de servico
    $id_os = mysqli_query($conexao, $sql) or die (mysqli_error());
    if(mysqli_num_rows($id_os) > 0 ){
      while ($registro 	  = mysqli_fetch_array($id_os)){
        $id_ordem_servico = $registro['id'];
      }
    }

//desmembra os itens e realiza um insert para cada um usando o id da ordem de servico
    foreach($os_itens as $item){
      $id_produto     = $item['id_produto'];
      $nr_quantidade  = $item['nr_quantidade'];
      $vl_unitario    = $item['vl_unitario'];
      $vl_desconto    = $item['vl_desconto'];

      //insert de cada item
      $sql = "insert into erpc_ordem_servico_itens(id_ordem_servico
                                            ,id_produto
                                            ,nr_quantidade
                                            ,vl_unitario
                                            ,vl_desconto)
                                            values
                                            ('$id_ordem_servico'
                                            ,'$id_produto'
                                            ,'$nr_quantidade'
                                            ,replace(replace(replace('$vl_unitario','R$ ',''),'.',''),',','.')
                                            ,replace(replace(replace('$vl_desconto','R$ ',''),'.',''),',','.'))";

   $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
   mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
    /*echo $sql;
                echo "<br>";
              echo "Id_produto: " . $id_produto . "<br>";
              echo "Quantidade: " . $nr_quantidade . "<br>";
              echo "Vl Unitario: " . $vl_unitario . "<br>";
              echo "Vl Desconto: " . $vl_desconto . "<br>";*/
    }//foreach
}//isset

 //POST = editar
if(isset($_POST['btn-edit'])){

  //salvando em variáveis as duas fichas do post: servico e itens
  $ordem_servico = $_POST['ordem_servico'];
  $os_itens      = $_POST['os_itens'];

/*
  echo "<pre>";
  print_r($ordem_servico);
  echo "</pre>";
  exit;
*/

  //update na tabela OS
//desmembrando a ordem de servico
  $id_servico             = $ordem_servico['id_servico'];
  $id_cliente             = $ordem_servico['id_cliente'];
  $id_condicao_pagamento  = $ordem_servico['id_condicao_pagamento'];
  $id_forma_pagamento     = $ordem_servico['id_forma_pagamento'];
  $ds_observacao          = $ordem_servico['ds_observacao'];
  $id_status_servico      = $ordem_servico['id_status_servico'];

  //atualiza a tabela de ordem de servico
    $sql = "update erpc_ordem_servico set id_cliente            = '$id_cliente',
                                          id_condicao_pagamento = '$id_condicao_pagamento',
                                          id_forma_pagamento    = '$id_forma_pagamento',
                                          ds_observacao         = '$ds_observacao',
                                          id_status_servico     = '$id_status_servico'
            where id = '$id_servico'";

    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));


      $delete = "DELETE FROM erpc_ordem_servico_itens
                    WHERE id_ordem_servico = $id_servico";
   $stmt = mysqli_prepare($conexao, $delete) or die(mysqli_error($conexao) . '<br />' . $delete);
   mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

   $os_itens = $_POST['os_itens'];


      foreach($os_itens as $item){

          $id_produto     = $item['id_produto'];
          $nr_quantidade  = $item['nr_quantidade'];
          $vl_unitario    = $item['vl_unitario'];
          $vl_desconto    = $item['vl_desconto'];

              //insert de cada item
              $sql = "insert into erpc_ordem_servico_itens(id_ordem_servico
                                                    ,id_produto
                                                    ,nr_quantidade
                                                    ,vl_unitario
                                                    ,vl_desconto)
                                                    values
                                                    ('$id_servico'
                                                    ,'$id_produto'
                                                    ,'$nr_quantidade'
                                                    ,replace(replace(replace('$vl_unitario','R$ ',''),'.',''),',','.')
                                                    ,replace(replace(replace('$vl_desconto','R$ ',''),'.',''),',','.'))";


              //echo $sql . "<br><br>";
             $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
             mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));


      }
}

 //POST = excluir
if(isset($_POST['btn-remove'])){

  //pega os dados de ordem de servico
  $ordem_servico = $_POST['ordem_servico'];

  //seleciona o id do servico
  $id_servico = $ordem_servico['id_servico'];

  //coloca st_ativo = 0 de acordo com o id
  $sql = "update erpc_ordem_servico
             set st_ativo = 0
           where id = '$id_servico'";

    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

}

//retorna para a lista
header("Location:erpc_ordem_servico_list.php");

?>
